Bug 346389 - Some projects.kde.org pages show wrong information about changes in git repositories
Summary: Some projects.kde.org pages show wrong information about changes in git repos...
Status: VERIFIED LATER
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-20 10:20 UTC by Ganton
Modified: 2015-04-27 08:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ganton 2015-04-20 10:20:01 UTC
Dear KDE people:

The page
     https://projects.kde.org/projects/extragear/utils/krusader/repository/show?rev=plasma 
now works, although there it's written that the latest change (it was in the "plasma" branch) was made on this date: 
    2015-04-09
and that it was made by Davide Gianforte
(the page 
    https://projects.kde.org/projects/extragear/utils/krusader/activity 
says the same wrong outdated information (it wasn't Davide who made the latest change, and it wasn't on that date, maybe the problem has the same source).

However, as anyone can see in
    http://quickgit.kde.org/index.php?p=krusader.git
the latest activity (it was in the "plasma" branch) was made on this date: 
    2015-04-11
For more information, in that page, people can search for the text
    plasma  
click on the "shortlog" link that right next to it, and see that
the latest activity was made by Raymond Wooninck. 
That date and author are the right ones, anyone can see the same doing something like this:
    git clone git://anongit.kde.org/krusader 
    cd krusader
    git checkout plasma
    git log
    
Thanks for all the good KDE work!


Reproducible: Always
Comment 1 Ganton 2015-04-20 10:30:30 UTC
Note: Davide Gianforte wrote commits using the nickname "Gengis Dave".
Comment 2 Ben Cooksley 2015-04-20 11:36:54 UTC
This is because the process which updates projects.kde.org is too heavy in terms of server load and has been disabled. This is not viewed as a problem as we're in the process of replacing projects.kde.org.
Comment 3 Ganton 2015-04-20 12:07:55 UTC
> This is not viewed as a problem as we're in the process of replacing projects.kde.org.

Showing false information one day, another day, another day, etc. is not viewed as a problem? 

How can be this bug set to "resolved" after being confirmed and waiting for the solution?

Can people trust the web of KDE?
Comment 4 Ben Cooksley 2015-04-22 01:15:14 UTC
It is a problem, however the resources needed to keep the site up to date aren't worth the value it provides at this time. This is particularly the case when our newer system provides this.
Comment 5 Ganton 2015-04-27 08:54:32 UTC
More than a week has passed and those pages are still wrong and misleading KDE users. In similar cases, webmasters put e.g. some text to warn people instead of letting them being misled. I'm changing the status of this bug to "verified" because, as anyone can clearly see, this bug was confirmed, it was set to "resolved" while it was not, it is not, and people should trust KDE when KDE speaks, publishes information and so on.

Thanks for KDE! Keep up the good work!